Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5142 - Red Hat's perl 5.005_03 distribution is missing NDBM_File
Summary: Red Hat's perl 5.005_03 distribution is missing NDBM_File
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-15 01:08 UTC by ricardo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-15 15:02:50 UTC


Attachments (Terms of Use)

Description ricardo 1999-09-15 01:08:58 UTC
NDBM_File is a standard module included in the regular perl
distribution (5.005_03 and earlier). NDBM_File cannot even
be installed as a separate module like most other perl
modules, it can only be installed as part of the regular
perl distribution.

(For example, you have to get perl-5.00503.tar.gz and
install that (the full distribution) in order to get
NDBM_File.

So, the ONLY way to get NDBM_File on a Red Hat system is to
actually reinstall the full perl distribution, by rebuilding
everything... :-(

Please include NDBM_File support in RedHat's perl module, as
standard.

This is of critical need for anyone who is using legacy perl
code which might have previously used NDBM_File and then
absolutely does not work with RedHat's 6.0 perl distribution
because of the lack of NDBM_File support.

Ricardo Kleemann
ricardo@americasnet.com

Comment 1 Jeff Johnson 2000-01-15 15:02:59 UTC
NDBM_File support is in perl-5.00503-6 and later from Red Hat 6.1. You may
still see problems with db1 vs. db2 format in older database files.


Note You need to log in before you can comment on or make changes to this bug.